<?php
/**
 * The template part for displaying content
 * @package Ecommerce Solution
 * @subpackage automobile_car_dealer
 * @since 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
  <div class="layout2">    
    <h2 class="section-title text-center pb-3"><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>  
    <div class="box-image text-center mb-3">
      <?php 
        if(has_post_thumbnail()) { 
          the_post_thumbnail(); 
        }
      ?>
    </div>
    <?php if( get_theme_mod( 'automobile_car_dealer_metafields_date',true) != '' || get_theme_mod( 'automobile_car_dealer_metafields_author',true) != '' || get_theme_mod( 'automobile_car_dealer_metafields_comment',true) != '' || get_theme_mod( 'automobile_car_dealer_single_post_time',true) != '') { ?>
      <div class="metabox mb-3 text-center">
        <?php if( get_theme_mod( 'automobile_car_dealer_metafields_date',true) != '') { ?>
          <span class="entry-date me-3"><i class="<?php echo esc_attr(get_theme_mod('automobile_car_dealer_post_date_icon','far fa-calendar-alt')); ?> me-2"></i><a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></span><?php echo esc_html( get_theme_mod('automobile_car_dealer_single_post_meta_seperator') ); ?>
        <?php }?>
        <?php if( get_theme_mod( 'automobile_car_dealer_metafields_author',true) != '') { ?>
          <span class="entry-author me-3"><i class="<?php echo esc_attr(get_theme_mod('automobile_car_dealer_post_author_icon','fas fa-user')); ?> me-2"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></span><?php echo esc_html( get_theme_mod('automobile_car_dealer_single_post_meta_seperator') ); ?>
        <?php }?>
        <?php if( get_theme_mod( 'automobile_car_dealer_metafields_comment',true) != '') { ?>
          <i class="<?php echo esc_attr(get_theme_mod('automobile_car_dealer_post_comment_icon','fas fa-comments')); ?> me-2"></i><span class="entry-comments me-3"> <?php comments_number( __('0 Comment', 'automobile-car-dealer'), __('0 Comments', 'automobile-car-dealer'), __('% Comments', 'automobile-car-dealer') ); ?></span>
        <?php }?>
        <?php if( get_theme_mod( 'automobile_car_dealer_single_post_time',false) != '' ) { ?>
          <?php echo esc_html( get_theme_mod('automobile_car_dealer_blog_post_meta_seperator') ); ?><span class="entry-time me-3"><i class="<?php echo esc_attr(get_theme_mod('automobile_car_dealer_single_post_time_icon','fas fa-clock')); ?> me-2"></i> <?php echo esc_html( get_the_time() ); ?></span>
        <?php }?>
      </div>
    <?php }?>
    <div class="new-text text-center">
      <?php $automobile_car_dealer_theme_lay = get_theme_mod( 'automobile_car_dealer_content_settings','Excerpt');
      if($automobile_car_dealer_theme_lay == 'Content'){ ?>
        <?php the_content(); ?>
      <?php }
      if($automobile_car_dealer_theme_lay == 'Excerpt'){ ?>
        <?php if(get_the_excerpt()) { ?>
          <?php $automobile_car_dealer_excerpt = get_the_excerpt(); echo esc_html( automobile_car_dealer_string_limit_words( $automobile_car_dealer_excerpt, esc_attr(get_theme_mod('automobile_car_dealer_post_excerpt_number','30')))); ?> <?php echo esc_html( get_theme_mod('automobile_car_dealer_post_discription_suffix','[...]') ); ?>
        <?php }?>
      <?php }?>
    </div> 
    <?php if( get_theme_mod('automobile_car_dealer_button_text','View More') != ''){ ?>
      <div class="postbtn text-center mt-4">
        <a class="read-more" href="<?php the_permalink(); ?>"><i class="<?php echo esc_attr(get_theme_mod('automobile_car_dealer_button_icon','fas fa-long-arrow-alt-right')); ?> p-3 me-2"></i><?php echo esc_html(get_theme_mod('automobile_car_dealer_button_text',__('View More','automobile-car-dealer' )));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('automobile_car_dealer_button_text',__('View More','automobile-car-dealer' )));?></span></a>
      </div>
    <?php }?>
  </div>
</article>